Update a connector feature flags
Any change to the feature flags will move the deployed version out of sync with the configuration and would need to redeploy.
Authorization
oAuth2AuthCode In: header
Path Parameters
uuidMajor version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/feature-flags" \ -H "Content-Type: application/json" \ -d '{ "feature-flags": [ "CONTAINER_API_READ_ALL_DATA", "CONTAINER_API_READ_COLUMN_ORDER", "DO_NOT_REMOVE_CONTAINERS", "ALLOW_DATABASE_ACCESS" ] }'{
"message": "Connector feature flags updated."
}{
"message": "Bad request.",
"errors": {
"featureFlags": "Supported feature flag values are: CONTAINER_API_READ_ALL_DATA, CONTAINER_API_READ_COLUMN_ORDER, DO_NOT_REMOVE_CONTAINERS, ALLOW_DATABASE_ACCESS."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}How is this guide?
Update a connector channel config PUT
Any change to the channel config will move the deployed version out of sync with the configuration and would need to redploy.
Update Secret registrations of connector version PUT
These secrets are going to be used to access protected api's during your connector's execution. *Note*: This will move the connector version to updating/updated state